package de.unikoblenz.fgbks.base.json;

import javax.json.bind.Jsonb;
import javax.json.bind.JsonbBuilder;
import javax.json.bind.JsonbConfig;
import javax.ws.rs.ext.ContextResolver;
import javax.ws.rs.ext.Provider;

@Provider
public class JsonConfiguration implements ContextResolver<Jsonb> {

  @Override
  public Jsonb getContext(Class<?> type) {
    JsonbConfig config =
        new JsonbConfig()
            .withAdapters(new Adapter())
            .withFormatting(true)
            .withStrictIJSON(true)
            .withPropertyVisibilityStrategy(new PrivateVisibilityStrategy());
    return JsonbBuilder.newBuilder().withConfig(config).build();
  }
}
